precision mediump float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;

uniform sampler2D uLastTexture;
varying vec2 vLastTextureCoord;



void main() {

   vec4 overlayColor=texture2D(uTexture,vTextureCoord);

   vec4 lastColor=texture2D(uLastTexture,vLastTextureCoord);



   gl_FragColor=vec4(  abs(overlayColor.r-lastColor.r),
                       abs(overlayColor.g-lastColor.g),
                       abs(overlayColor.b-lastColor.b),
                        1.0);

}
