#version 300 es
uniform mat4 u_Matrix;
uniform mat4 cube_Matrix;
in vec3 a_Position;
out vec3 v_Position;

void main()
{
    //Z取反，左右的纹理会左右镜像，前后的会纹理互换，上下的纹理会上下镜像
    v_Position = vec3(a_Position.xy, -a_Position.z);
    //顶点坐标
    gl_Position = u_Matrix * cube_Matrix * vec4(a_Position, 1.0);
    gl_Position = gl_Position.xyww;
}    
