attribute vec4 aPosition;
attribute vec2 aTextureCoord;
uniform mat4 uPositionMatrix;
varying vec2 vTextureCoord;
varying vec2 vLastTextureCoord;

void main(){
    gl_Position=uPositionMatrix*aPosition;
    vTextureCoord=aTextureCoord;
    vLastTextureCoord=vec2((gl_Position.x+1.0)*0.5,(gl_Position.y+1.0)*0.5);
}