precision highp float;
varying vec2 vTextureCoord;
uniform sampler2D uTexture;
uniform sampler2D uTexture2;
uniform mat3 uGlobalTexCoordMatrix;

//阳光物语
void main(){
        vec3 globalTextureCoordinate = vec3(vTextureCoord.xy,1.0)*uGlobalTexCoordMatrix;
       vec4 color = texture2D(uTexture, vTextureCoord.xy);

        color.r = (2.0*169.0/255.0 - 1.0) * (sqrt(color.r) - color.r) + color.r;
       color.g = (2.0*173.0/255.0 - 1.0) * (sqrt(color.g) - color.g) + color.g;
       color.b = (2.0*104.0/255.0 - 1.0) * (color.b - color.b * color.b) + color.b;

        vec4 color_temp = texture2D(uTexture2, vec2(globalTextureCoordinate.x, 0.5));

        color.rgb = 1.0 - (1.0 - color_temp.rgb)*(1.0 - color.rgb);//screen blend

       gl_FragColor = vec4(color.rgb,1.0);

}